# yuck: ugly python stuff borrowed from rdiff-backup spec file.
%define PYTHON_NAME %((rpm -q --quiet python2 && echo python2) || echo python)
%define PYTHON_VERSION %(%{PYTHON_NAME} -c 'import sys; print sys.version[:3],')
%define NEXT_PYTHON_VERSION %(%{PYTHON_NAME} -c 'import sys; print "%d.%d" % (sys.version_info[0], sys.version_info[1]+1),')

Summary: OLPC update tools.
Name: olpcupdate
Version: 2.10
Release: 1
License: GPL
Group: System Environment/Base
URL: http://dev.laptop.org/git?p=users/cscott/olpc-update
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{PYTHON_NAME} >= %{PYTHON_VERSION}, %{PYTHON_NAME} < %{NEXT_PYTHON_VERSION}, olpccontents >= 1.8, NetworkManager >= 0.6.5
BuildPrereq: %{PYTHON_NAME}-devel >= 2.5
BuildArch: noarch

%description
The olpcupdate utilities handle the automatic or manual update
of system files on an XO laptop.

%prep
%setup

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/update
mkdir -p $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/leases
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
mkdir -p $RPM_BUILD_ROOT/etc/NetworkManager/dispatcher.d

%{__install} -m 644 bitfrost/update/{__init__.py,irsync.py,setup.py} $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/update/
%{__install} -m 644 leases/bitfrost/leases/{__init__.py,core.py,crypto.py,errors.py,keys.py} $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/bitfrost/leases/
%{__install} -m 755 olpc-update-query olpc-update $RPM_BUILD_ROOT/usr/sbin
%{__install} -m 755 irsync $RPM_BUILD_ROOT/usr/sbin/olpc-incr-rsync
%{__install} -m 644 crontab-entry $RPM_BUILD_ROOT/etc/cron.d/olpc-update-query
%{__install} -m 700 olpc-update-ifup $RPM_BUILD_ROOT/etc/NetworkManager/dispatcher.d/olpc-update-ifup

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING

/usr/lib/python2.5/site-packages/bitfrost
/usr/sbin/olpc-update-query
/usr/sbin/olpc-update
/usr/sbin/olpc-incr-rsync
/etc/cron.d/olpc-update-query
/etc/NetworkManager/dispatcher.d/olpc-update-ifup

%changelog
* Thu Jun 26 2008 C. Scott Ananian <cscott@laptop.org>
- Build as a proper RPM against F9 dependencies.
